slepc-3.10.1 2018-10-23
Report Typos and Errors

# BVRestoreArray

Restore the BV object after BVGetArray() has been called.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVRestoreArray(BV bv,PetscScalar **a)

Logically Collective on BV

### Input Parameters

| bv | - the basis vectors context
| a | - location of pointer to array obtained from BVGetArray()

### Note

This operation may imply a data copy, for BV types that do not store data contiguously in memory.

### See Also

BVGetColumn()

Location: src/sys/classes/bv/interface/bvbasic.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages